package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcNetworkArticle;

/**
 * 网络文章Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcNetworkArticleMapper 
{
    /**
     * 查询网络文章
     * 
     * @param id 网络文章主键
     * @return 网络文章
     */
    public TcNetworkArticle selectTcNetworkArticleById(Long id);

    /**
     * 查询网络文章列表
     * 
     * @param tcNetworkArticle 网络文章
     * @return 网络文章集合
     */
    public List<TcNetworkArticle> selectTcNetworkArticleList(TcNetworkArticle tcNetworkArticle);

    /**
     * 新增网络文章
     * 
     * @param tcNetworkArticle 网络文章
     * @return 结果
     */
    public int insertTcNetworkArticle(TcNetworkArticle tcNetworkArticle);

    /**
     * 修改网络文章
     * 
     * @param tcNetworkArticle 网络文章
     * @return 结果
     */
    public int updateTcNetworkArticle(TcNetworkArticle tcNetworkArticle);

    /**
     * 删除网络文章
     * 
     * @param id 网络文章主键
     * @return 结果
     */
    public int deleteTcNetworkArticleById(Long id);

    /**
     * 批量删除网络文章
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcNetworkArticleByIds(Long[] ids);
}
